Skip to main content
GET
/
datasources
/
mx
/
company-verification
/
reports
/
{reportId}
/
cap-table-timeline
Get a report's cap-table timeline
curl --request GET \
  --url https://api.syntage.com/datasources/mx/company-verification/reports/{reportId}/cap-table-timeline \
  --header 'X-API-Key: <api-key>'
{
  "@context": "/contexts/CapTableTimelineEntry",
  "@id": "/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678/cap-table-timeline",
  "@type": "hydra:Collection",
  "hydra:member": [
    {
      "id": "46fa6789-6789-0123-ef01-345678901234",
      "documentNumber": "12345",
      "documentType": "acta_constitutiva",
      "eventType": "transfer",
      "description": "Juan Pérez transferred 1,000 shares to María López.",
      "sourceText": "<string>",
      "isFullExit": false,
      "isSynthetic": false,
      "@id": "/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678/cap-table-timeline/46fa6789-6789-0123-ef01-345678901234",
      "date": "2020-01-15",
      "shareholderName": "Juan Pérez García",
      "fromShareholder": "Juan Pérez García",
      "toShareholder": "María López Hernández",
      "shares": 1000,
      "amount": "10000.0000",
      "capitalType": "fixed",
      "series": "A"
    }
  ],
  "hydra:totalItems": 1,
  "hydra:view": {
    "@id": "<string>",
    "@type": "hydra:PartialCollectionView",
    "hydra:first": "<string>",
    "hydra:next": "<string>",
    "hydra:last": "<string>"
  },
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

reportId
string<uuid>
required

Identifier of the Company Verification report.

Query Parameters

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000
eventType
string

Filter by event type (exact match).

shareholderName
string

Partial, case-insensitive match on shareholderName.

isFullExit
boolean

Filter by whether the event drops the shareholder's holdings to zero.

isSynthetic
boolean

Filter by whether the event was synthesized by the resolver to reconcile a gap.

order[date]
enum<string>

Order by event date.

Available options:
asc,
desc
Example:

"asc"

Response

Company Verification Report Cap-Table Timeline

@context
string
default:/contexts/CapTableTimelineEntry
@id
string
Example:

"/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678/cap-table-timeline"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:totalItems
integer

Total number of items found

Required range: x >= 0
Example:

1

hydra:view
object

Pagination information